commit:     f2fa70ce5190a8073fd697326a8495f2626326f2
Author:     David Denoncin <ddenoncin <AT> gmail <DOT> com>
AuthorDate: Sat Jul 18 15:58:44 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Aug  1 20:27:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2fa70ce

www-apps/bugzilla: vbump 5.0.6

This new ebuild leaves dealing with mod_perl to experienced users. This
change enables bumping the ebuild to EAPI 7.

It also loses using use flags for optional runtime dependencies.

Bug: https://bugs.gentoo.org/712706
Closes: https://bugs.gentoo.org/332251
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: David Denoncin <ddenoncin <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/16125
Signed-off-by: Sam James <sam <AT> gentoo.org>

 www-apps/bugzilla/Manifest                         |   1 +
 www-apps/bugzilla/bugzilla-5.0.6.ebuild            | 118 +++++++++++++++++++++
 .../bugzilla/files/bugzilla-5.0.6-leftbrace.patch  |  17 +++
 www-apps/bugzilla/files/bugzilla-5.0.6-perl.patch  |  17 +++
 .../bugzilla/files/bugzilla-5.0.6-template.patch   |  17 +++
 www-apps/bugzilla/files/postinstall-5.0.6-en.txt   |  30 ++++++
 www-apps/bugzilla/files/postinstall-en.txt         |   1 +
 www-apps/bugzilla/files/postupgrade-5.0.6-en.txt   |  10 ++
 8 files changed, 211 insertions(+)

diff --git a/www-apps/bugzilla/Manifest b/www-apps/bugzilla/Manifest
index 3a86ce2d8c4..10e325e2e9e 100644
--- a/www-apps/bugzilla/Manifest
+++ b/www-apps/bugzilla/Manifest
@@ -1,2 +1,3 @@
 DIST bugzilla-4.4.12.tar.gz 4931062 BLAKE2B 
21d060d3a6bc8fd16d5a0283bb5c3735a473283d829be711e22b9d21fc203c8bd33cc9b940417480fa4b16dc478dcb3b526f305c324c97ccac7965b2820bea01
 SHA512 
51520cc55ae0fb30f8a8efb98e9b5a5a35ca74e9ec3667528fae6520fa7f12137e01948009b152481d0b8e02d435b42c3cacb5449fb42fe709964db68a386548
 DIST bugzilla-5.0.3.tar.gz 4069689 BLAKE2B 
1be1d911b59a06f9073a2e610b88af2b1b62bda1e2ef812f65faf2fc35499cff20b96f29a522cf8478ed65c4de9008a349162159f180f59f79a380d777340548
 SHA512 
82334533bd75a4a5eee5213826da916175ecf39cbfd1c4d820519f015257b02998a3acd881f8f52c1650d1140158c8aa839e374574a1fa862a6a4a1351748c46
+DIST bugzilla-5.0.6.tar.gz 3970724 BLAKE2B 
9fab818a4d93bcd8092ddd2707f5a479b5535ba7621cccb84ce6b8785812e0e46f6d8883b76d3358a60ea5f0b6068008b9b2bfcc745b760f6fec5372216cc1af
 SHA512 
8ca47ea1be2b433a6ce68e1a595d72f3d0f0fede44d1194dc6bc9a116dbde3ab7285212c71995e200d31544876e4c3c57b63da1f877a0cb22747ab87a5d598de

diff --git a/www-apps/bugzilla/bugzilla-5.0.6.ebuild 
b/www-apps/bugzilla/bugzilla-5.0.6.ebuild
new file mode 100644
index 00000000000..b9d651ea973
--- /dev/null
+++ b/www-apps/bugzilla/bugzilla-5.0.6.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils webapp
+
+DESCRIPTION="Bugzilla is the Bug-Tracking System from the Mozilla project"
+SRC_URI="https://ftp.mozilla.org/pub/mozilla.org/webtools/${P}.tar.gz";
+HOMEPAGE="https://www.bugzilla.org";
+
+LICENSE="MPL-2.0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="apache2 doc mysql postgres sqlite test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+# sorting is identical to upstream MYMETA.json, please don't change
+# These are mandatory for checksetup.pl to configure bugzilla
+BASIC_DEPS="
+       dev-lang/perl
+       >=dev-perl/CGI-3.510.0
+       >=dev-perl/DBI-1.614.0
+       >=dev-perl/TimeDate-2.230.0
+       >=dev-perl/DateTime-0.750.0
+       >=dev-perl/DateTime-TimeZone-1.640.0
+       virtual/perl-Digest-SHA
+       >=dev-perl/Email-MIME-1.904.0
+       >=dev-perl/Email-Sender-1.300.11
+       >=dev-perl/JSON-XS-2.10.0
+       >=dev-perl/List-MoreUtils-0.320.0
+       >=dev-perl/Math-Random-ISAAC-1.0.1
+       >=dev-perl/Template-Toolkit-2.240.0
+       >=dev-perl/URI-1.550.0
+"
+
+RDEPEND="
+       ${BASIC_DEPS}
+       apache2? ( www-servers/apache[apache2_modules_access_compat] )
+       !apache2? ( virtual/httpd-cgi )
+       postgres? ( >=dev-perl/DBD-Pg-1.49 )
+       mysql? ( >=dev-perl/DBD-mysql-4.0.5 )
+       sqlite? ( >=dev-perl/DBD-SQLite-1.290.0 )
+"
+
+BDEPEND="
+       test? ( ${BASIC_DEPS} )
+       doc? (
+               dev-python/sphinx
+               dev-perl/File-Copy-Recursive
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-5.0.6-leftbrace.patch"
+       "${FILESDIR}/${PN}-5.0.6-perl.patch"
+       "${FILESDIR}/${PN}-5.0.6-template.patch"
+)
+
+src_prepare() {
+       default
+
+       # Get rid of the bzr files
+       rm -r .bzr* || die
+
+       # unconditionnally remove pod-coverage tests
+       rm t/011pod.t || die
+}
+
+src_test() {
+       TZ=UTC perl -I. runtests.pl || die
+}
+
+src_install() {
+       webapp_src_preinst
+
+       insinto "${MY_HTDOCSDIR}"
+       doins -r .
+
+       webapp_postinst_txt en "${FILESDIR}/postinstall-${PV}-en.txt"
+       webapp_postupgrade_txt en "${FILESDIR}/postupgrade-${PV}-en.txt"
+       webapp_src_install
+
+       if use doc; then
+               docs/makedocs.pl
+               dodoc -r docs/en/html
+               dodoc -r docs/en/txt
+       fi
+
+       # openrc service file to enable mail queuing as a service
+       newinitd "${FILESDIR}"/bugzilla-queue.initd bugzilla-queue
+
+       # must be executable and stay that way upon upgrading
+       fperms u+x "${MY_HTDOCSDIR}"/checksetup.pl
+}
+
+pkg_postinst() {
+       elog "Optional dependencies:"
+       optfeature "Graphical reports, new charts, old charts" "dev-perl/GD 
dev-perl/Chart dev-perl/Template-GD dev-perl/GDTextUtil dev-perl/GDGraph"
+       optfeature "Move bugs between installations, automatic update 
notifications" "dev-perl/MIME-tools dev-perl/libwww-perl dev-perl/XML-Twig"
+       optfeature "Patch Viewer" "dev-perl/PatchReader"
+       optfeature "LDAP authentication" "dev-perl/perl-ldap"
+       optfeature "SMTP authentication" "dev-perl/Authen-SASL"
+       optfeature "XML-RPC Interface" "dev-perl/SOAP-Lite dev-perl/XMLRPC-Lite 
dev-perl/Test-Taint"
+       optfeature "JSON-RPC Interface, REST Interface" "dev-perl/JSON-RPC 
dev-perl/Test-Taint"
+       optfeature "More HTML in Product/Group description" 
"dev-perl/HTML-Scrubber"
+       optfeature "Automatic charset detection for text attachments" 
"dev-perl/Encode-Detect"
+       optfeature "Inbound Email" "dev-perl/Email-Reply 
dev-perl/HTML-FormatText-WithLinks"
+       optfeature "Mail Queueing" "dev-perl/TheSchwarz dev-perl/Daemon-Generic"
+       optfeature "Sniff MIME type of attachments" "dev-perl/File-MimeInfo 
dev-perl/IO-stringy"
+       optfeature "Memcached support" "dev-perl/Cache-Memcached"
+
+       ewarn "If Apache is the chosen webserver, please consider turning the 
apache2 use flag on"
+       ewarn "Not doing so may result in unexpected runtime errors"
+
+       webapp_pkg_postinst
+}

diff --git a/www-apps/bugzilla/files/bugzilla-5.0.6-leftbrace.patch 
b/www-apps/bugzilla/files/bugzilla-5.0.6-leftbrace.patch
new file mode 100644
index 00000000000..efecc0a07d0
--- /dev/null
+++ b/www-apps/bugzilla/files/bugzilla-5.0.6-leftbrace.patch
@@ -0,0 +1,17 @@
+Fixes unescaped left brace in regex to pass test 010dependencies.t
+
+Fix by David Denoncin, based on the 5.0.3 patch
+
+https://bugzilla.mozilla.org/show_bug.cgi?id=228444
+
+--- a/t/010dependencies.t      2020-06-09 21:21:28.049161109 -0000
++++ b/t/010dependencies.t      2020-06-09 21:21:07.059161235 -0000
+@@ -71,7 +71,7 @@
+         $used =~ s#/#::#g;
+         $used =~ s#\.pm$##;
+         $used =~ s#\$module#[^:]+#;
+-        $used =~ s#\${[^}]+}#[^:]+#;
++        $used =~ s#\$\{[^}]+}#[^:]+#;
+         $used =~ s#[" ]##g;
+         push(@use, grep(/^\Q$used\E$/, keys %mods));
+       }

diff --git a/www-apps/bugzilla/files/bugzilla-5.0.6-perl.patch 
b/www-apps/bugzilla/files/bugzilla-5.0.6-perl.patch
new file mode 100644
index 00000000000..540e70bd880
--- /dev/null
+++ b/www-apps/bugzilla/files/bugzilla-5.0.6-perl.patch
@@ -0,0 +1,17 @@
+Fixes a Perl bug making checksetup.pl fail 
+
+Fix by David Denoncin
+
+https://github.com/Perl/perl5/issues/17271
+https://bugzilla.mozilla.org/show_bug.cgi?id=1588175
+
+--- a/Bugzilla/Util.pm 2020-07-10 07:18:37.329165376 -0000
++++ b/Bugzilla/Util.pm 2020-07-10 07:18:55.869165262 -0000
+@@ -106,7 +106,6 @@
+     # |U+200e|Left-To-Right Mark        |0xe2 0x80 0x8e      |
+     # |U+200f|Right-To-Left Mark        |0xe2 0x80 0x8f      |
+     # --------------------------------------------------------
+-    $var =~ tr/\x{202a}-\x{202e}//d;
+   }
+   return $var;
+ }

diff --git a/www-apps/bugzilla/files/bugzilla-5.0.6-template.patch 
b/www-apps/bugzilla/files/bugzilla-5.0.6-template.patch
new file mode 100644
index 00000000000..040eaf734a8
--- /dev/null
+++ b/www-apps/bugzilla/files/bugzilla-5.0.6-template.patch
@@ -0,0 +1,17 @@
+Fixes a simple typo in a template allowing tests to pass
+
+Fix by David Denoncin
+
+https://bugzilla.mozilla.org/show_bug.cgi?id=1644655
+
+--- a/template/en/default/pages/release-notes.html.tmpl 2020-06-09 
21:34:41.845822737 -0000
++++ b/template/en/default/pages/release-notes.html.tmpl        2020-06-09 
21:05:23.515833860 -0000
+@@ -45,7 +45,7 @@
+ 
+ <h3>5.0.6</h3>
+ <p>This release contains a schema change to the flagtypes table, allowing for 
many more flagtypes.</p>.
+-<p>The flagtypes table should have been using a mediumint for several 
releases, but due to a bug in the schema migration code this never happened.</p>
++<p>The flagtypes table should have been using a mediumint for several 
releases, but due to [% terms.abug %] in the schema migration code this never 
happened.</p>
+ 
+ <h3>5.0.5</h3>
+ 

diff --git a/www-apps/bugzilla/files/postinstall-5.0.6-en.txt 
b/www-apps/bugzilla/files/postinstall-5.0.6-en.txt
new file mode 100644
index 00000000000..5c60465deb8
--- /dev/null
+++ b/www-apps/bugzilla/files/postinstall-5.0.6-en.txt
@@ -0,0 +1,30 @@
+0. Bugzilla has been installed into ${MY_INSTALLDIR}
+
+1. To finish the installation, please read
+   https://bugzilla.readthedocs.io/en/5.0/installing/index.html
+   https://wiki.gentoo.org/wiki/Bugzilla
+   You will need to run ${MY_INSTALLDIR}/checksetup.pl
+
+2. Please read the Release Notes, especially if you are upgrading:
+   https://www.bugzilla.org/releases/${PV}/release-notes.html
+
+3. Please note that Apache2 sets AllowOverride None by default. You may have
+   to edit it to process the .htaccess file provided by Bugzilla. Please see
+   https://httpd.apache.org/docs/2.2/mod/core.html#allowoverride and
+   https://bugzilla.readthedocs.io/en/5.0/installing/apache.html for more info.
+
+4. If this is a large project and you wish to enable mail queuing, you need to
+   emerge dev-perl/TheSchwarz and dev-perl/Daemon-Generic. To enable mail 
+   queuing as an openrc-service, create a file named bugzilla-queue in 
+   /etc/conf.d/ with this one line 
+
+   JOBQUEUE_PATH=${MY_INSTALLDIR}
+
+   Which defines the variable used by the openrc service file 
+   /etc/init.d/bugzilla-queue
+   Then run:
+
+   rc-update add bugzilla-queue default
+
+5. For other optional post installation configuration, please read
+   
https://bugzilla.readthedocs.io/en/5.0/installing/optional-post-install-config.html

diff --git a/www-apps/bugzilla/files/postinstall-en.txt 
b/www-apps/bugzilla/files/postinstall-en.txt
index 9b6a8798a64..e8d8093fdb2 100644
--- a/www-apps/bugzilla/files/postinstall-en.txt
+++ b/www-apps/bugzilla/files/postinstall-en.txt
@@ -2,6 +2,7 @@
 
 1. To finish the installation, please read
    http://www.bugzilla.org/docs/${MY_PB}/en/html/installing-bugzilla.html
+   https://wiki.gentoo.org/wiki/Bugzilla
    You will need to run ${MY_INSTALLDIR}/checksetup.pl
 
 2. Please read the Release Notes, especially if you are upgrading:

diff --git a/www-apps/bugzilla/files/postupgrade-5.0.6-en.txt 
b/www-apps/bugzilla/files/postupgrade-5.0.6-en.txt
new file mode 100644
index 00000000000..9b1fab718b6
--- /dev/null
+++ b/www-apps/bugzilla/files/postupgrade-5.0.6-en.txt
@@ -0,0 +1,10 @@
+0. Please NOTE: It is impossible to downgrade bugzilla. Prior to upgrading 
+   you should always make a backup of your database, data files and lib files 
and 
+   read https://www.bugzilla.org/releases/${PV}/release-notes.html
+
+1. If you have bugzilla emerged with the vhosts flag on, please refer to 
+   https://wiki.gentoo.org/wiki/Webapp-config#Upgrading_an_installed_webapp
+   or https://wiki.gentoo.org/wiki/Bugzilla#Upgrading to upgrade your bugzilla
+   instance.
+
+2. After upgrading you have to run checksetup.pl to complete the upgrade.

Reply via email to